// Standard include files so we have some easy colours/shapes to use.
#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"

// Neat textures I got from the net.
#include "solsurface.inc"

// A simple camera
camera
{
	location  <0, 2, -3>
	look_at   <0, 1,  2>
}

// Provide a source of light
light_source { <2, 4, -3> color White }

// Add a sphere to the scene; we'll test some new textures in this.
sphere
{
	<0, 1, 2>, 2
//  texture
//	{
//    	pigment { Amber0 }
//     	finish { phong 1 }
//	}
	texture { Sol_Surface }
}

// Throw in a checkered floor, or not.
/* plane
{
	<0, 1, 0>, 0 
	pigment
	{
		checker
		color Red
		color Blue
	}
} */

